Publish a comment awaiting review where you moderate
POST /api/member/comments/{commentId}/approve. Publish a comment awaiting review where you moderate. Headless LMS Discussion API reference.
Needs courses:moderate on the course for an activity comment, or communities:moderate on the community for a post comment. 403 when the comment is not awaiting review.
Path Parameters
commentId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/comments/string/approve"{ "id": "string", "orgId": "string", "activityId": "string", "postId": "string", "communityId": "string", "parentId": "string", "orgUserId": "string", "body": "string", "status": "pending", "removedBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Restore a removed comment where you moderate POST
POST /api/member/comments/{commentId}/restore. Restore a removed comment where you moderate. Headless LMS Discussion API reference.
List course comments for moderation GET
GET /api/comments. List course comments for moderation. Headless LMS Discussion API reference.